System.Core 4.0.0.0 System.Object System.IEquatable<System.Security.Cryptography.CngAlgorithm>

The class is a utility class. It consists of static properties, comparison methods, and a private, internally maintained, algorithm name string.

The static properties return objects. Each object's internal string is initialized to the algorithm name that corresponds to the name of the static property.

You can also use this class to create objects for algorithm types that are not covered by the static properties.

Several Cryptography Next Generation (CNG) classes (such as ) accept objects through an parameter. When the class receives the object, it retrieves the embedded algorithm name by calling the object's property.

Therefore, serves as an enumeration of well-known algorithms. It lets you specify a well-known algorithm by using a strongly typed value instead of a string.

Encapsulates the name of an encryption algorithm.

- Constructor
  4.0.0.0

  Instances of the class internally maintain the algorithm name that is specified by the parameter.

  The primary purpose of this constructor is to provide a method for creating objects for algorithm types that are not represented by the static properties of the class. This capacity enables future dnprdnshort releases, service packs, and third-party developers to add new algorithms, which can be accessed just like the algorithms that are currently available.

  Initializes a new instance of the class.

  The name of the algorithm to initialize.
- Property
  4.0.0.0
  System.String To be added. To be added.

  Gets the algorithm name that the current object specifies.

- Property
  4.0.0.0
  System.Security.Cryptography.CngAlgorithm To be added. To be added.

  Gets a object that specifies an Elliptic Curve Diffie-Hellman (ECDH) key exchange algorithm that uses the P-256 curve.

- Property
  4.0.0.0
  System.Security.Cryptography.CngAlgorithm To be added. To be added.

  Gets a object that specifies an Elliptic Curve Diffie-Hellman (ECDH) key exchange algorithm that uses the P-384 curve.

- Property
  4.0.0.0
  System.Security.Cryptography.CngAlgorithm To be added. To be added.

  Gets a object that specifies an Elliptic Curve Diffie-Hellman (ECDH) key exchange algorithm that uses the P-521 curve.

- Property
  4.0.0.0
  System.Security.Cryptography.CngAlgorithm To be added. To be added.

  Gets a object that specifies an Elliptic Curve Digital Signature Algorithm (ECDSA) that uses the P-256 curve.

- Property
  4.0.0.0
  System.Security.Cryptography.CngAlgorithm To be added. To be added.

  Gets a object that specifies an Elliptic Curve Digital Signature Algorithm (ECDSA) that uses the P-384 curve.

- Property
  4.0.0.0
  System.Security.Cryptography.CngAlgorithm To be added. To be added.

  Gets a new object that specifies an Elliptic Curve Digital Signature Algorithm (ECDSA) that uses the P-521 curve.

- Method
  4.0.0.0
  System.Boolean `` To be added.

  Compares the specified object to the current object.

  true if the parameter is a that specifies the same algorithm as the current object; otherwise, false.

  An object to be compared to the current object.
- Method
  4.0.0.0
  System.Boolean `` To be added.

  Compares the specified object to the current object.

  true if the parameter specifies the same algorithm as the current object; otherwise, false.

  An object to be compared to the current object.
- Method
  4.0.0.0
  System.Int32 To be added.

  Generates a hash value for the algorithm name that is embedded in the current object.

  The hash value of the embedded algorithm name.

- Property
  4.0.0.0
  System.Security.Cryptography.CngAlgorithm To be added. To be added.

  Gets a new object that specifies the Message Digest 5 (MD5) hash algorithm.

- Method
  4.0.0.0
  System.Boolean `` `` To be added.

  Determines whether two objects specify the same algorithm name.

  true if the two objects specify the same algorithm name; otherwise, false.

  An object that specifies an algorithm name. A second object, to be compared to the object that is identified by the parameter.
- Method
  4.0.0.0
  System.Boolean `` `` To be added.

  Determines whether two objects do not specify the same algorithm.

  true if the two objects do not specify the same algorithm name; otherwise, false.

  An object that specifies an algorithm name. A second object, to be compared to the object that is identified by the parameter.
- Property
  4.0.0.0
  System.Security.Cryptography.CngAlgorithm To be added. To be added.

  Gets a new object that specifies the Secure Hash Algorithm 1 (SHA-1) algorithm.

- Property
  4.0.0.0
  System.Security.Cryptography.CngAlgorithm To be added. To be added.

  Gets a new object that specifies the Secure Hash Algorithm 256 (SHA-256) algorithm.

- Property
  4.0.0.0
  System.Security.Cryptography.CngAlgorithm To be added. To be added.

  Gets a new object that specifies the Secure Hash Algorithm 384 (SHA-384) algorithm.

- Property
  4.0.0.0
  System.Security.Cryptography.CngAlgorithm To be added. To be added.

  Gets a new object that specifies the Secure Hash Algorithm 512 (SHA-512) algorithm.

- Method
  4.0.0.0
  System.String To be added.

  Gets the name of the algorithm that the current object specifies.

  The embedded algorithm name.